Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.run.xml
Interface XmlConfigurable

All Known Subinterfaces:
  BackingMapManagerContext, ConfigurableCacheFactory

All Known Implementing Classes:
  AbstractEncryptionFilter, AbstractHttpSessionCollection, AsymmetricEncryptionFilter, BerkeleyDBBinaryStoreManager, ClusterEncryptionFilter, CompressionFilter, ConfigurablePofContext, DefaultConfigurableCacheFactory, MonolithicHttpSessionCollection, NullImplementation.NullBackingMapManagerContext, PasswordBasedEncryptionFilter, PortalCacheProvider, SafeConfigurablePofContext, SocketOptions, SocketProviderFactory, SplitHttpSessionCollection, SymmetricEncryptionFilter, TcpSocketProvider, TraditionalHttpSessionCollection, WrapperSocketProvider

      public interface XmlConfigurable

An interface for XML configuration.

Author:
  cp 2002.08.20

Method Summary
`XmlElement` | `getConfig()` Determine the current configuration of the object.
`void` | `setConfig(XmlElement xml)` Specify the configuration for the object.

Method Detail

### getConfig

    XmlElement getConfig()

  Determine the current configuration of the object.
  Returns:
    the XML configuration or null

### setConfig

    void setConfig(XmlElement xml)

  Specify the configuration for the object.
  Parameters:
    `xml` - the XML configuration for the object
  Throws:
    `java.lang.IllegalStateException` - if the object is not in a state that allows the configuration to be set; for example, if the object has already been configured and cannot be reconfigured

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.